> ## Documentation Index
> Fetch the complete documentation index at: https://backstage.spotify.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a fact collector



## OpenAPI

````yaml /plugins/soundcheck/openapi.yaml delete /fact-collectors/{collectorId}
openapi: 3.0.0
info:
  title: soundcheck
  version: 0.1.0
  description: API for interacting with Soundcheck.
servers:
  - url: https://backstage.example.com/api/soundcheck
security: []
tags:
  - name: Campaigns
  - name: Certification
  - name: CheckResults
  - name: Checks
  - name: FactCollectors
  - name: Facts
  - name: Tracks
paths:
  /fact-collectors/{collectorId}:
    delete:
      tags:
        - FactCollectors
      summary: Delete a fact collector
      operationId: deleteFactCollector
      parameters:
        - name: collectorId
          in: path
          required: true
          schema:
            type: string
      responses:
        '204':
          description: Fact collector deleted
        '400':
          description: Collector is YAML-defined and cannot be deleted via API
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: No permission to delete fact collector
          content:
            text/plain:
              schema:
                type: string
        '404':
          description: Fact collector not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            name:
              type: string
            message:
              type: string
          required:
            - name
            - message
          additionalProperties: true
        request:
          type: object
          properties:
            method:
              type: string
            url:
              type: string
          required:
            - method
            - url
          additionalProperties: false
        response:
          type: object
          properties:
            statusCode:
              type: integer
          required:
            - statusCode
          additionalProperties: false
      required:
        - error
        - response
      additionalProperties: false

````